[Overview][Resource strings][Constants][Types][Classes][Variables][Index] | Reference for unit 'simpleipc' (#fcl)

# TIPCServerMsgQueue.Push

Add a new message to the queue

## Declaration

Source position: simpleipc.pp line 81

`public procedure TIPCServerMsgQueue.Push(`
`AItem: TIPCServerMsg`
`);`

## Arguments

`AItem` |  | New message to add to the queue

## Description

Push verifies if the message can be added to the queue (discarding old messages depending on the setting of TIPCServerMsgQueue.MaxAction) and adds the message AItem to the queue.

The message AItem is owned by the queue until it is popped off the queue.

## Errors

If the maximum queue length is reached, and the MaxAction is set to ipcmoaError, an exception will be raised.

## See also

TIPCServerMsgQueue.MaxCount |  | Maximum number of messages in the queue, 0 for unlimited
TIPCServerMsgQueue.MaxAction |  | Action to take when the number of messages will exceed MaxCount.
TIPCServerMsgQueue.Pop |  | Remove the oldest message from the queue